
/*Funktionprotypen*/

//////////////////////////////////////////////////////////////
// Name: check_input_float()								
//															
// Rckgabewert:	Fehler -> -1							
//					Kein Fehler -> eingegebener Wert		
//															
// Parameter:		char *werte -> zu berprfender Wert	
//															
//////////////////////////////////////////////////////////////
int check_input_float(char*); 

//////////////////////////////////////////////////////////////
// Name: check_input_int()									
//															
// Rckgabewert:	Fehler -> -1							
//					Kein Fehler -> 1		
//															
// Parameter:		char *werte -> zu berprfender Wert	
//															
//////////////////////////////////////////////////////////////
int check_input_int(char*); 

//////////////////////////////////////////////////////////////
// Name: chech_mode()										
//															
// Rckgabewert:	Fehler -> -1							
//					Kein Fehler -> 1				
//													
// Parameter:		int input -> eingegebener Wert			
//					int max_wert -> obere Grenze			
//					int min_wert -> untere Grenze			
//															
//////////////////////////////////////////////////////////////
int check_mode(int, int, int); 

//////////////////////////////////////////////////////////////
// Name: ggT()												 
//															 
// Rckgabewert:	ggT										 
//															 
// Parameter:		int feldgroesse -> Gre des Feldes		 
//					int *werte -> Feld mit den Werten		 
//															 
//////////////////////////////////////////////////////////////
int ggT(int, int*);	

//////////////////////////////////////////////////////////////
// Name: KgV()												 
//															 
// Rckgabewert:	KgV										 
//															 
// Parameter:		int feldgroesse -> Gre des Feldes		 
//					int *werte -> Feld mit den Werten		 
//															 
//////////////////////////////////////////////////////////////
int KgV(int, int*);		

//////////////////////////////////////////////////////////////
// Name: check_operator()									 
//															 
// Rckgabewert:	1 -> korrekt							 
//					-1 -> Falsche Eingabe					 
//															 
// Parameter:		int *input_operator -> Feld mit			 
//											den Werten		 
//															 
//////////////////////////////////////////////////////////////
int check_operator(char*);	

//////////////////////////////////////////////////////////////
// Name: check_isdigit()									 
//															 
// Rckgabewert:	1 -> korrekt							 
//					-1 -> Falsche Eingabe					 
//															 
// Parameter:		int *input_digit -> Feld mit			 
//											den Werten		 
//															 
//////////////////////////////////////////////////////////////
int check_isdigit(char*); 

//////////////////////////////////////////////////////////////
// Name: check_isstring()									 
//															 
// Rckgabewert:	1 -> korrekt							 
//					-1 -> Falsche Eingabe					 
//															 
// Parameter:		int *input_string -> Feld mit			 
//											den Werten		 
//															 
//////////////////////////////////////////////////////////////
int check_isstring(char*); 

//////////////////////////////////////////////////////////////
// Name: check_date()									 
//															 
// Rckgabewert:	1 -> korrekt							 
//					-1 -> Falsche Eingabe					 
//															 
// Parameter:		int *input_date -> Feld mit			 
//											den Werten		 
//															 
//////////////////////////////////////////////////////////////
int check_date(char*);